examples.jmdp

## Class DemandEvent

- java.lang.Object
- - jmarkov.basic.Event
  - - jmarkov.basic.PropertiesEvent
    - - examples.jmdp.DemandEvent

- All Implemented Interfaces:
    java.lang.Comparable<Event>, JMarkovElement, PropertiesElement

      public class DemandEvent
      extends PropertiesEvent

  This class represent a demand event in an inventory system and it is used by many examples.
  Author:
    Andrés Sarmiento, Germán Riaño. Universidad de los Andes. (C) 2006

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DemandEvent(int d, boolean greater)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDemand()` Return the demand size
    `boolean` | `getGreaterThan()`
    `java.lang.String` | `label()` If this function is not overriden by the user it returns the Event number.

    - ### Methods inherited from class jmarkov.basic.PropertiesEvent

      `clone, compareTo, compareTo, equals, getNumProps, getProperties, getProperty`

    - ### Methods inherited from class jmarkov.basic.Event

      `description, equals, getIndex, getSet, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jmarkov.basic.JMarkovElement

      `description, equals, toString`

- - ### Constructor Detail

    - #### DemandEvent

          public DemandEvent(int d,
                     boolean greater)

      Parameters:
        `d` -
        `greater` -

  - ### Method Detail

    - #### getDemand

          public int getDemand()

      Return the demand size
      Returns:
        The level.

    - #### getGreaterThan

          public boolean getGreaterThan()

      Returns:
        True when the demand is greater than demand and false if the demand is equal to demand.

    - #### label

          public java.lang.String label()

      Description copied from class: `Event`
      If this function is not overriden by the user it returns the Event number. The user should override to give a short label description of the Event. It is highly recommended that the user overrides it to give a more descriptive label to be used when reporting the occurrance rates of the events.
      Specified by:
        `label` in interface `JMarkovElement`
      Overrides:
        `label` in class `PropertiesEvent`
      Returns:
        A short string description of the Event.
      See Also:
        `Event.description()`